<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Parsers\TestInput\2023-24 RMS TSA student &amp; event - Event Definitions.csv" />
    <None Remove="Parsers\TestInput\2023-24 RMS TSA student &amp; event - Student Event Rankings.csv" />
    <None Remove="Parsers\TestInput\2023-24 RMS TSA student &amp; event - Teams.csv" />
    <None Remove="Parsers\TestInput\2024 TN TSA State Competition Event Times.txt" />
    <None Remove="Parsers\TestInput\2024-25 RMS TSA student &amp; event - assumptions.csv" />
    <None Remove="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Event Definitions.csv" />
    <None Remove="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Student Event Rankings.csv" />
    <None Remove="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Teams.csv" />
    <None Remove="Parsers\TestInput\teams 20231025.csv" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.5.0" />
    <PackageReference Include="NUnit" Version="3.13.3" />
    <PackageReference Include="NUnit3TestAdapter" Version="4.4.2" />
    <PackageReference Include="NUnit.Analyzers" Version="3.6.1" />
    <PackageReference Include="coverlet.collector" Version="3.2.0" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Core\Core.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Parsers\TestInput\2024-25 RMS TSA student &amp; event - assumptions.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2025-26 RMS TSA student &amp; event - Event Definitions.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Event Definitions.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2023-24 RMS TSA student &amp; event - Event Definitions.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Nationals Student Event Rankings.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Student Event Rankings.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2023-24 RMS TSA student &amp; event - Student Event Rankings.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2023-24 RMS TSA student &amp; event - Teams.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2024 TN TSA State Competition Event Times.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Nationals Teams.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Parsers\TestInput\2024-25 RMS TSA student &amp; event - Teams.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Parsers\TestInput\teams 20231025.csv">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <None Update="Parsers\TestInput\2025 TSA Nationals Competition Event Times.txt.bak">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Parsers\TestInput\2025 TSA Nationals Competition Event Times.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Parsers\TestInput\2025 TN TSA State Competition Event Times.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>